Page MenuHomePhabricator

efl: add an event to notify that the View property has changed.
ClosedPublic

Authored by cedric on Feb 13 2019, 10:51 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Feb 13 2019, 10:51 AM
segfaultxavi requested changes to this revision.Feb 14 2019, 3:59 AM
segfaultxavi added inline comments.
src/lib/efl/interfaces/efl_ui_property_bind.eo
28

The event contains a list of properties, so I would call this event properties,changed.
Conversely, you can fire an event for each changed property and remove the list from the event.

This revision now requires changes to proceed.Feb 14 2019, 3:59 AM
cedric updated this revision to Diff 19456.Feb 15 2019, 3:04 PM

Rebase.

SanghyeonLee requested changes to this revision.EditedMon, Feb 25, 4:43 AM

I really not sure but if we goes the event name as properties,changed, it sound more natural to change the other event name as properties,bound?
I mostly prefer the singular name on the APIs and Events, but unity is also very important thing in my thought.
is this property bound only come with single property not a list?
then it sound correct.
I'll change my review status after you pointing what is right.

This revision now requires changes to proceed.Mon, Feb 25, 4:43 AM

I really not sure but if we goes the event name as properties,changed, it sound more natural to change the other event name as properties,bound?

"bound" is the action to connect the View with the Model, not the action of changing the data in the Model when the View change, which is what the properties,changed event notify of.

I mostly prefer the singular name on the APIs and Events, but unity is also very important thing in my thought.
is this property bound only come with single property not a list?

You can only bound one property at a time with our current API and I am not sure we would have a nice API where we could bind multiple property at the same time. So yes, only one property in the event at a time.

cedric updated this revision to Diff 19779.Wed, Feb 27, 1:37 PM

Rebase.

cedric updated this revision to Diff 19863.Fri, Mar 1, 10:30 AM

Rebase.

segfaultxavi accepted this revision.Fri, Mar 1, 10:39 AM
cedric updated this revision to Diff 20049.Wed, Mar 6, 3:40 PM

Rebase.

segfaultxavi accepted this revision.Thu, Mar 7, 2:13 AM
cedric updated this revision to Diff 20268.Thu, Mar 7, 3:58 PM
cedric edited the summary of this revision. (Show Details)

Rebase and fix all the pointed problem.

lauromoura added inline comments.
src/lib/efl/interfaces/efl_ui_property_bind.eo
28

"when a property" -> Any property or only bound properties?
"due to an interaction on the object" -> A specific kind of interaction? (Like the underlying model changing the value for the given key)

cedric added inline comments.Fri, Mar 8, 9:24 AM
src/lib/efl/interfaces/efl_ui_property_bind.eo
28

It would be guaranteed that it is triggered when a bound property is changed, but it might happen also when an unbounded property change. This is left open as an open optimization for object that implements this interface. @segfaultxavi if you have recommendation on how to clarify the documentation accordingly.

As for the interaction, it is only user interaction. Change on the model, should not trigger the event as this event is used to propagate the information change back to the model.

cedric updated this revision to Diff 20336.Fri, Mar 8, 1:56 PM

Rebase and improve documentation.

lauromoura accepted this revision.Fri, Mar 8, 2:11 PM
This revision was not accepted when it landed; it landed in state Needs Review.Fri, Mar 8, 2:31 PM
This revision was automatically updated to reflect the committed changes.